ApiRangerReplicationHdfsToAdlsArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiRangerReplicationHdfsToAdlsArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRangerReplicationHdfsToAdlsArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiRangerReplicationHdfsToAdlsArgs
      extends Object

  Arguments for transforming HDFS Ranger service policies to Azure Data Lake Storage (ADLS) policies. <p> Note that it's relevant only if any of the Ranger services to be replicated contain HDFS Ranger service type and replication will be done from on-prem to ADLS.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRangerReplicationHdfsToAdlsArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRangerReplicationHdfsToAdlsArgs` | `adlsStorageAccount(String adlsStorageAccount)`
    `ApiRangerReplicationHdfsToAdlsArgs` | `adlsStorageAccountContainer(String adlsStorageAccountContainer)`
    `boolean` | `equals(Object o)`
    `String` | `getAdlsStorageAccount()` ADLS storage account name for Ranger HDFS policies which need to be transformed to ADLS policy.
    `String` | `getAdlsStorageAccountContainer()` ADLS storage account container name for Ranger HDFS policies which need to be transformed to ADLS policy.
    `int` | `hashCode()`
    `void` | `setAdlsStorageAccount(String adlsStorageAccount)`
    `void` | `setAdlsStorageAccountContainer(String adlsStorageAccountContainer)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRangerReplicationHdfsToAdlsArgs

          public ApiRangerReplicationHdfsToAdlsArgs()

  - ### Method Detail

    - #### adlsStorageAccount

          public ApiRangerReplicationHdfsToAdlsArgs adlsStorageAccount(String adlsStorageAccount)

    - #### getAdlsStorageAccount

          public String getAdlsStorageAccount()

      ADLS storage account name for Ranger HDFS policies which need to be transformed to ADLS policy.
      Returns:
        adlsStorageAccount

    - #### setAdlsStorageAccount

          public void setAdlsStorageAccount(String adlsStorageAccount)

    - #### adlsStorageAccountContainer

          public ApiRangerReplicationHdfsToAdlsArgs adlsStorageAccountContainer(String adlsStorageAccountContainer)

    - #### getAdlsStorageAccountContainer

          public String getAdlsStorageAccountContainer()

      ADLS storage account container name for Ranger HDFS policies which need to be transformed to ADLS policy.
      Returns:
        adlsStorageAccountContainer

    - #### setAdlsStorageAccountContainer

          public void setAdlsStorageAccountContainer(String adlsStorageAccountContainer)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.